try:
    from .color import Color
except:
    from color import Color

class Pixel(object):
    def __init__(self, x, y, red, green, blue):
        self.x = x
        self.y = y
        self.color = Color(red, green, blue)

    def __str__(self):
        info = (self.x, self.y, self.getRed(), self.getGreen(), self.getBlue())
        return 'Pixel at (x=%d, y=%d) with color (r=%d, g=%d, b=%d)' % info

    def getX(self):
        return self.x
    
    def getY(self):
        return self.y
    
    def getRed(self):
        return self.color.getRed()

    def getGreen(self):
        return self.color.getGreen()

    def getBlue(self):
        return self.color.getBlue()

    def setRed(self, red):
        self.color.setRed(red)
    
    def setGreen(self, green):
        self.color.setGreen(green)

    def setBlue(self, blue):
        self.color.setBlue(blue)

    def getColor(self):
        return self.color

    def setColor(self, color):
        self.color = Color(*color)
            